
Redmine - Feature #29503

Discourage search engines from indexing old versions of wiki pages

2018-09-05 15:46 - Rechnerpool Architektur

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: SEO Estimated time: 0.00 hour

Target version: 4.0.0   

Resolution: Fixed   

Description

Google is indexing the older versions of wiki Articles. I would like to add a noindex tag to all older versions. how can i do it?

Associated revisions

Revision 17690 - 2018-12-06 01:40 - Go MAEDA

Discourage search engines from indexing old versions of wiki pages (#29503).

Patch by Go MAEDA.

Revision 17691 - 2018-12-06 14:23 - Go MAEDA

Fix typo (#29503).

History

#1 - 2018-09-09 03:09 - Go MAEDA

Should Redmine has Robots Meta Directives in versioned wiki pages?

#2 - 2018-09-09 03:14 - Go MAEDA

- Category changed from Code cleanup/refactoring to SEO

#3 - 2018-12-05 18:10 - Go MAEDA

- File fix-29503.diff added

- Subject changed from How can I hide wiki versions from Search Engines to Discourage search engines from indexing old versions of wiki pages

- Target version set to 4.1.0

Here is a patch to add a robots meta tag to old versions of a wiki page. Google and other polite search engines never index those pages after

applying this patch.

#4 - 2018-12-06 01:41 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version changed from 4.1.0 to 4.0.0

- Resolution set to Fixed

Committed the patch. Thank you for reporting the issue.

Files

fix-29503.diff 1.38 KB 2018-12-05 Go MAEDA
